--- a/docs/make-screenshots.sh Thu Sep 04 14:28:14 2014 +0900
+++ b/docs/make-screenshots.sh Thu Sep 04 15:28:56 2014 +0900
-command -v import &>/dev/null || { echo "this needs imagemagick's import command"; exit 1; }
+command -v import &>/dev/null || { echo "this needs imagemagick"; exit 1; }
+[[ $TERM == 'linux' ]] && { echo "this doesn't work in a tty"; exit 2; }
+[[ $(tput cols) -le 100 ]] && { echo 'Maximize the terminal window and press enter.'; read; }
cd "$(dirname "${BASH_SOURCE[0]}")"
grep -v '^\s*\(#\|$\)' "./prompt-session-${what}.sh" | bash -i
import -window $WINDOWID "./prompt-${what}.png"
mogrify -trim -background black -extent 800x "./prompt-${what}.png"